---
type: api
title: Delete coordinator candidate
description: Delete a coordinator candidate by id.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-coordinator-candidate
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/operation/operation-delete-coordinator-candidate
products:
  - Elastic Cloud Enterprise
---

# Delete coordinator candidate

## Paths

- `DELETE` `/platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}`

- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#basicauth)
- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-enterprise/v4/authentication#apikey)

#### Path Parameters

- `coordinator_candidate_id` (string)
  The identifier for the coordinator candidate

## Description

Delete a coordinator candidate by id.

## Query String Parameters

- `version` (string)
  cloud resource version

## Responses

#### `200`

The coordinator candidate specified by {coordinator_candidate_id} was deleted.

`application/json`

Type: `EmptyResponse`

#### `400`

The coordinator specified by {coordinator_candidate_id} could not be deleted. (code: `coordinators.candidate_deletion_failed`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

The coordinator candidate specified by {coordinator_candidate_id} cannot be found. (code: `coordinators.candidate_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
DELETE /platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}
```

#### curl

```curl
curl -X DELETE "/platform/infrastructure/coordinators/candidates/{coordinator_candidate_id}"
```

